body {
    font-family:
        -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue",
        sans-serif;
    margin: 0;
}

/*------------------------------------------------Sidebar Navigation----------------------------------------------*/

.admin {
    background-color: #edf0f4;
}
.form-control {
    appearance: auto !important; /* Reverts to browser default */
    width: 100%;
    height: calc(1.5em + 0.75rem + 2px) !important;
}
.form-group {
    margin-bottom: 1rem;
}
label {
    display: inline-block;
    margin-bottom: 0.5rem;
}
.form-control.form-select {
    --bs-form-select-bg-img: url("");
    padding: 0.375rem 0.75rem;
}
textarea.form-control {
    height: auto !important;
}

.my_nav {
    width: 100%;
    display: flex;
    color: #ffffff;
    background-color: #617aba;
    /* background-color: #3d9fd9; */
    position: fixed;
    top: 0;
    padding: 0 10px;
    transform: translateZ(0);
    -webkit-transform: translateZ(0);
}

.my_nav_admin {
    width: 100%;
    display: flex;
    color: #ffffff;
    background-color: #3d9fd9;
    position: fixed;
    top: 0;
    padding: 0 10px;
    transform: translateZ(0);
    -webkit-transform: translateZ(0);
    height: 46px;
    z-index: 100;
}

.my_nav_admin .navbar-toggler {
    margin: 0 8px;
    width: 26px;
}

.my_nav_admin .navbar-toggler .burger_menu {
    width: 100%;
}

.my_nav_admin .navbar-toggler .burger_menu:first-child {
    margin-top: 0;
}

.admin_logout {
    color: #ffffff;
    font-size: 14px;
    font-weight: bold;
    margin: 0 15px 0 20px;
}

.nav_container {
    background-color: rgb(255, 255, 255);
    height: 100%;
    margin-top: 40px;
}

/* .navbar-brand {
    margin-left: 10px;
    font-family: arial;
    font-weight: bold;
} */

.navbar-brand {
    font-weight: bold;
}

.brand {
    color: #ffdf00;
}

.container {
    width: auto;
    padding: 8px 2vw;
    margin-top: 46px;
}

.mynav_items {
    align-items: center;
}

.nav_item {
    width: 230px;
    color: #9e9e9e;
    position: inherit;
    display: flex;
    padding: 5px 40px;
}

.nav-link {
    color: black;
}
.active:not(.no-bold) {
    color: #3d9fd9 !important;
    font-weight: bold;
    background-color: #edf0f4;
    width: 100%;
}
.active > a {
    color: #3d9fd9 !important;
}

.nav_item a:hover {
    font-weight: bold;
    color: #3d9fd9;
}

.navbar-toggler {
    border: 0;
    padding: 0;
}

.fa {
    padding-top: 10px;
    width: 26px;
}

.flex {
    display: flex;
}

.forgot-password {
    color: grey;
    font-size: 14px;
    margin-top: 25px;
}

/* -------------login---------- */

.cm-e-menu {
    position: relative;
    color: #fff;
}

.cm-e-menu ul {
    margin: 0;
    padding: 0;
    right: 0;
}

.cm-e-menu li {
    position: relative;
    white-space: nowrap;
    cursor: pointer;
    text-transform: capitalize !important;
    list-style: none;
    -webkit-transition: background-color ease-in 300ms;
    -moz-transition: background-color ease-in 300ms;
    -ms-transition: background-color ease-in 300ms;
    -o-transition: background-color ease-in 300ms;
    transition: background-color ease-in 300ms;
}

.cm-e-menu .topmenu ul {
    display: none;
    position: absolute;
    background-color: #f5f5f5c2;
}

.down-arrow {
    width: 15px;
}

.cm-e-menu li:hover > ul {
    display: table;
}

.submenu a {
    color: #000;
    text-decoration: none;
}

.submenu li:hover {
    background-color: #fff;
}

.cm-e-menu ul.submenu .submenu {
    top: -0.5em;
    left: 100%;
    font-size: 1em;
}

.cm-e-menu ul.submenu li {
    padding: 0.2em 1.5em;
    font-size: 0.9rem;
}

.cm-e-menu li.divider {
    padding: 0;
    border-top: 1px solid #343434;
    margin: 0.5rem auto 0.3rem;
    cursor: default;
}

.cm-e-menu li.divider:hover {
    background-color: transparent;
}

/* -------------login---------- */

/*--------------------------------------------------Navigation Ended------------------------------------------------*/

.login_page {
    width: 90%;
    margin: 0px auto;
    margin-top: 10%;
    padding: 23px;
    text-align: center;
    border: 1px solid #eb733040;
    border-radius: 15px;
}

.login_page_admin {
    border: 1px solid #eb733040;
}

.super_admin {
    background-color: #ffffff;
    border: 1px solid #9e9e9e57;
    border-radius: 0px;
}

.my_flex {
    display: flex;
    flex-wrap: wrap;
}

.flex_child {
    flex: 1;
}

.flex {
    display: flex;
    flex-wrap: nowrap;
}

/*-------------------------------------------------Contents---------------------------------------------------------*/

.container {
    background-color: rgb(237, 240, 244);
}

.section {
    position: relative;
    background-color: #ffffff;
    padding: 15px;
    margin-top: 10px;
}
.header-row {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.form-selection {
    position: relative;
    display: flex;
    align-items: center;
}
.form-selection .form-type-btn {
    position: relative;
    box-shadow: 0px 0px 0px 1px #9e9e9e;
    padding: 4px 8px;
    width: 170px;
    text-align: center;
    background-color: white;
    color: #9e9e9e;
    cursor: pointer;
    user-select: none;
}
.form-selection .form-type-btn.selected {
    box-shadow: 0px 0px 0px 1px rgb(60, 163, 218);
    background-color: rgb(235, 246, 251);
    color: rgb(60, 163, 218);
    z-index: 1;
}
.form-selection .form-type-btn.disabled {
    /* pointer-events: none; */
    opacity: 0.3;
}
.form-type,
#addschool button[form-type] {
    display: none;
}
#addschool[selected-form="accountInfo"] [form-type="accountInfo"],
#addschool[selected-form="sso"] [form-type="sso"] {
    display: block;
}
#addschool[selected-form="accountInfo"] button[form-type="accountInfo"],
#addschool[selected-form="sso"] button[form-type="sso"] {
    display: inline-block;
}
.sso-form-loading::after {
    content: ".";
    color: transparent;
    position: absolute;
    width: 100%;
    height: 6px;
    background-image: linear-gradient(to right, rgb(95 123 182 / 51%) 1%, #ffdf00 20%, rgb(95 123 182 / 50%) 55%);
    background-position: -100% center;
    background-size: 200%;
    top: 0px;
    left: 0px;
    animation-name: loadingAnim;
    animation-duration: 1.5s;
    animation-iteration-count: infinite;
    opacity: 1;
    transition: 0.5s;
}
.sso-form-loading {
    pointer-events: none;
    opacity: 0.7;
}
@keyframes loadingAnim {
    0% {
        background-position: 100% center;
    }
    100% {
        background-position: -100% center;
    }
}
.form-button-row {
    position: relative;
    display: flex;
    justify-content: flex-end;
    padding: 0 8px;
}
.sso-heading {
    position: relative;
    font-weight: 600;
    color: rgb(133, 134, 136);
    margin: 24px 0 0;
}
.sso-heading:first-child {
    margin-top: 0;
}
.form-description {
    color: #9e9e9e;
}
.form-description.bold-font {
    font-weight: 600;
    color: rgb(133, 134, 136);
}
.form-description.input-note {
    /* margin-top: -12px; */
    margin-bottom: 1rem;
    font-style: italic;
}
.individual-admin-sso-form .alert.alert-warning {
    padding: 4px 16px 16px;
    margin-top: 16px;
    display: inline-block;
}
.sso-type-selection-container {
    margin: 28px 0 36px;
}
.sso-type-input {
    position: relative;
    display: flex;
    color: #9e9e9e;
    margin-bottom: 4px;
    align-items: center;
}
.sso-type-input label {
    margin-left: 8px;
}
.sso-type-input.disabled {
    pointer-events: none;
}
.sso-type-input.disabled .nm-toggle-ui {
    opacity: 0.3;
}
.sso-type-input .sso_message {
    margin-left: 24px;
}
.sso-type-input .sso_message.warning {
    color: orange;
}
.sso-type-input .sso_message .fa {
    padding-top: 0;
    width: 16px;
}
.loading {
    height: 26px;
    width: 26px;
    color: transparent;
    background-image: url(/images/ajax_loader.gif);
    background-size: 26px;
    background-repeat: no-repeat;
    background-position: center;
    pointer-events: none;
    opacity: 0.5;
}
body.loading {
    height: unset;
    width: unset;
    color: transparent;
    background-image: url(/images/ajax_loader.gif);
    background-size: 26px;
    background-repeat: no-repeat;
    background-position: center;
    pointer-events: none;
    opacity: 0.5;
}
.sso-key-generator-container,
.sso-key-wrapper {
    position: relative;
    display: flex;
    align-items: center;
}
.sso-key-generator-container {
    margin: 8px 0 12px;
}
.sso-key-wrapper {
    background-color: rgb(230, 230, 230);
    padding: 2px 4px 2px 16px;
    height: 40px;
}
.sso-key-wrapper .sso-copy-key-btn > * {
    display: none;
}
.sso-key-wrapper[state="empty"] .sso-copy-key-btn .fa-exclamation-triangle {
    display: block;
    color: orange;
}
.sso-key-wrapper[state="loading"] .sso-copy-key-btn .loading {
    display: block;
}
.sso-key-wrapper[state="available"] .sso-copy-key-btn .fa-clone {
    display: block;
}
.sso-key-wrapper .sso-key-element {
    font-weight: 500;
    font-size: 14px;
    max-width: 340px;
    width: 300px;
    padding-right: 8px;
    text-overflow: ellipsis;
    overflow: hidden;
    color: #000000;
}
.sso-copy-key-btn {
    position: relative;
    display: block;
    padding-bottom: 6px;
    margin-left: 8px;
    color: gray;
    cursor: pointer;
}
.sso-gen-key-btn {
    background-color: rgb(52, 159, 216);
    height: 40px;
    line-height: 40px;
    color: white;
    padding: 0 12px;
    cursor: pointer;
    user-select: none;
}
.sso-jwt-view {
    padding: 16px;
}
.sso-jwt-view pre code {
    color: #9e9e9e;
}
.sso-form-content {
    display: none;
}
.color-red {
    color: rgb(238, 42, 48) !important;
}
.color-black {
    color: rgb(0, 0, 0) !important;
}
.content {
    display: flex;
    flex-wrap: wrap;
}

.add_content {
    flex: 1;
    padding: 10px;
    min-width: 235px;
}
.form-control-row {
    position: relative;
    display: flex;
    align-items: center;
}
.form-control-row input[type="checkbox"] {
    width: calc(1em + 0.5rem + 2px);
    height: calc(1em + 0.5rem + 2px);
    margin-right: 8px;
    cursor: pointer;
}
.select-products label {
    font-weight: 600;
}
.form-control-row label {
    margin-bottom: 0;
}
.form-control-row-small {
    position: relative;
    display: flex;
    align-items: center;
    font-size: 12px;
    color: #9e9e9e;
    margin-top: 8px;
}
.form-control-row-small input[type="checkbox"] {
    margin-right: 4px;
    cursor: pointer;
}
.select-products {
    width: 100%;
}
.account_option {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
    background-color: white;
    padding: 10px;
}

.account_option .entity-display-name > h4 {
    color: #3d9fd9 !important;
}
.entity-display-name {
    position: relative;
    display: flex;
    align-items: center;
}
.back-arrow-red {
    position: relative;
    border: 10px solid transparent;
    border-right: 14px solid red;
    border-left: 0;
    margin-right: 16px;
    margin-bottom: 8px;
}
.form-control#decodable_version.disabled {
    pointer-events: none;
    /* opacity: 0.7; */
    user-select: none;
}
.my_table {
    background-color: #ffffff;
    padding: 15px;
    overflow-y: hidden;
    padding-top: 0px;
    font-size: 15px;
}

.my_table a {
    text-decoration: none;
}

.table_status {
    /* display: flex; */
    justify-content: space-between;
    flex-wrap: wrap;
    background-color: white;
    padding: 10px;
    text-align: center;
}

.my_pagination {
    font-size: 13px;
    font-weight: 600;
}

.btn-login {
    color: #fff;
    background-color: #e83323;
    border-color: #e83323;
    width: 7rem;
}

.btn-login:hover {
    color: #fff;
    background-color: #e83323;
    border-color: #e83323;
    font-weight: bold;
}

.btn-login-admin {
    color: #fff;
    background-color: #3d9fd9;
    border-color: #3d9fd9;
    width: 7rem;
}

.btn-login-admin:hover {
    color: #fff;
    font-weight: bold;
    background-color: #178dd1;
}

/* chart dashboard */

.school-analytics {
    display: flex;
    width: 100%;
    justify-content: space-between;
}

.total-acc {
    background-color: #ffffff;
    padding: 4px;
    margin: 4px;
    width: 24%;
}

.total-acc .title {
    font-size: 1rem;
    font-weight: bold;
    color: #9e9e9e;
    margin-bottom: 10px;
}

.total-acc .info {
    color: #9e9e9e;
}

.total-acc .data {
    font-size: 2rem;
    color: #c142a0;
    text-align: center;
}

.total-acc:nth-child(2) .data,
.total-acc:nth-child(5) .data {
    color: #4caf50;
}

.total-acc:nth-child(3) .data,
.total-acc:nth-child(6) .data {
    color: #2196f3;
}

.total-acc:nth-child(4) .data {
    color: #ffc107;
}
.school-analytics > div:first-child {
    margin-left: 0;
}
.school-analytics > div:last-child {
    margin-right: 0;
}

.school-vschart {
    display: flex;
}

.acc-types {
    display: inline-table;
    background-color: #ffffff;
    padding: 10px 0px 0px 0px;
    margin: 10px 10px 0px 0px;
}

.school-vschart > div:last-child {
    margin: 10px 0px 0px 0px;
}

.doughnut-chart {
    width: 380px !important;
    height: 200px !important;
}

.doughnut {
    width: inherit;
}

.acc-created {
    background-color: #ffffff;
    padding: 5px;
    margin: 10px 10px 0px 0px;
    width: 100%;
}

.acc-created .chart-title {
    display: flex;
    width: 100%;
}

.top-school {
    height: 360px !important;
}

.acc-line-chart {
    height: 250px !important;
}

.chart-title div {
    font-size: 1rem;
    color: #9e9e9e;
    width: 100%;
    margin: 5px 0px 5px 10px;
}

/* chart dashboard */

@media (min-width: 576px) {
    .container {
        max-width: 100%;
    }
    .navbar-brand {
        font-size: 1rem;
    }
}

@media (max-width: 576px) {
    .school-vschart {
        display: block;
    }
}

@media (min-width: 768px) {
    .container {
        margin-top: 40px;
        margin-left: 220px;
        min-width: 370px;
    }
    .login_page {
        width: 40%;
        padding: 3%;
    }
    .nav_container {
        width: 220px;
        position: fixed;
        margin-top: 7px;
    }
    .navbar-toggler {
        display: none;
    }
    .mynav_items {
        margin-top: 20px;
    }
    .nav_item {
        text-align: left;
    }
    .form_header {
        font-size: 16px;
    }
    .collapse {
        display: block !important;
    }
}

@media (max-width: 600px) {
    .navbar-brand {
        font-size: 1rem;
    }
    .my_nav_admin {
        padding: 0px;
    }
    .form-group {
        display: inherit;
        width: 100% !important;
    }
    .btn {
        margin: 0px 2px;
    }
    .active {
        width: auto;
    }
    .acc-types {
        padding: 0px !important;
        margin-top: 10px !important;
        margin: 0;
        width: 100%;
    }
    .doughnut-chart {
        margin: auto;
        max-width: 100%;
    }
}

/*------------------------------------------------------------Ended-----------------------------------------------*/

/*--------------------------------------------------------form elements-------------------------------------------*/

.form-control:focus {
    box-shadow: none;
}

textarea {
    resize: none;
}

.enddate {
    display: flex;
}

.email_checkbox {
    background-color: rgb(237, 240, 244);
    padding-top: 7px;
}

.email_activation_notice {
    font-size: 12px;
    color: #ff7600;
}

.form_header {
    font-size: 1.5rem;
    /* color: #EB7330; */
    padding-bottom: 20px;
}

.admin_header {
    color: #ffffff;
}

.super_admin_header {
    font-family: "vagroundedstdblack";
    color: #9e9e9e;
    float: left;
}

select {
    color: #9e9e9e !important;
}

input[type="date"] {
    display: block;
    -webkit-appearance: textfield;
    -moz-appearance: textfield;
    min-height: 1.2em;
}

.required-astric {
    color: red;
}

/* Modal */

.modal-content {
    padding: 20px;
}
.modal-content .modal-header {
    justify-content: space-between;
}
.modal-content .close {
    float: right;
    font-size: 1.5rem;
    font-weight: 700;
    line-height: 1;
    color: #000;
    text-shadow: 0 1px 0 #fff;
    opacity: .5;
    background-color: transparent;
    border: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    padding: 1rem 1rem;
    margin: -1rem -1rem -1rem auto;
}
.modal-content .close:hover {
    background-color: #007095;
    opacity: .75;
}
    
/* End Modal */

.burger_menu {
    width: 2rem;
    height: 3px;
    background-color: white;
    margin: 6px 0px 0px 0px;
}

.assign-work.disabled {
    pointer-events: none;
}

.select-grade-popup {
    position: absolute;
    height: 100vh;
    width: 100vw;
    top: 0;
    left: 0;
    z-index: 1000;
    display: none;
}
.select-grade-popup-mask {
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.2);
    z-index: 1;
}
.select-grade-popup-content {
    position: absolute;
    padding: 16px;
    border-radius: 12px;
    width: 500px;
    max-width: 90%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    z-index: 2;
}
.select-grade-popup-header {
    position: relative;
    display: flex;
    align-items: start;
    justify-content: space-between;
}
.select-grade-popup-header-text {
    position: relative;
    font-size: 24px;
    color: #3d9fd9;
}
.select-grade-popup-content .assignment_type {
    width: auto;
    padding-right: 30px;
}
.select-grade-popup-label {
    font-size: 14px;
    color: #343a40;
    margin-bottom: 4px;
}
.select-grade-popup-save {
    min-width: 100px;
}
.select-grade-popup-subheader {
    font-size: 14px;
    color: #343a40;
}
.select-grade-popup-body {
    position: relative;
    padding-top: 16px;
}
.grade-row {
    position: relative;
    display: flex;
    align-items: center;
    user-select: none;
    padding: 2px 8px;
    margin: 2px 0;
}
.grade-row:hover {
    background-color: rgba(0, 0, 0, 0.01);
}
.grade-row > * {
    cursor: pointer;
}
.grade-row-col-text {
    margin-left: 10px;
    width: 100%;
    margin-bottom: 0;
}
.assignment-type-wrapper {
    position: relative;
    display: flex;
    align-items: center;
}
.assignment-types {
    position: relative;
    display: flex;
    align-items: center;
    margin-right: 24px;
}
.assignment-types input[type="checkbox"].form-control {
    height: 24px;
    width: 24px;
    margin-right: 8px;
    margin-bottom: 8px;
}
.assignment-types label {
    color: #9e9e9e !important;
}

.nm-toggle-ui {
    position: relative;
    width: 48px;
    height: 22px;
    border-radius: 28px;
    border: 2px solid #d6d6d6;
    background-color: #c9c9c9;
    color: white;
    font-size: 8px;
    font-weight: bold;
    line-height: 18px;
    text-align: right;
    padding: 0 4px;
    cursor: pointer;
}
.nm-toggle-ui:before {
    content: " ";
    position: absolute;
    height: 18px;
    width: 18px;
    background: white;
    border-radius: 50%;
    left: 0;
}
.nm-toggle-ui.selected {
    background-color: rgb(0, 182, 62);
    border: 2px solid rgb(0, 182, 62);
    text-align: left;
    text-indent: 4px;
}
.nm-toggle-ui.selected:before {
    right: 0;
    left: auto;
}
.nm-toggle-ui.disabled,
.sso-type-input.unavailable {
    pointer-events: none;
    opacity: 0.4;
}
.sso-form-input {
    position: relative;
    display: block;
    border: 1px solid #9e9e9e;
    outline: none;
    padding: 4px 8px;
    width: 360px;
    margin: 4px 0;
}
.sso-saml-upload-row {
    position: relative;
    display: flex;
    align-items: center;
}
.sso-saml-upload-btn {
    margin: 4px 0 8px;
}
.smal-manifest-name {
    position: relative;
    color: rgb(0, 0, 0) !important;
    font-weight: 500;
    margin-left: 20px;
}
table {
    table-layout: unset;
}
.individual-admin-sso-form a {
    color: #007bff;
    text-decoration: none;
    background-color: transparent;
}
.individual-admin-sso-form .sso-form-input {
    width: 360px;
}
.assign-work-container .content-title,
.assign-work-container .content-decodables {
    color: #222 !important;
}
